class GroundColorsController < ApplicationController
  layout 'test' if Pettanr::TestLayout
  before_filter :authenticate_user!, :only => [:index]

  # GET /ground_colors
  # GET /ground_colors.json
  def index
    @page = GroundColor.page params[:page]
    @page_size = GroundColor.page_size params[:page_size]
    @ground_colors = GroundColor.list({}, @page, @page_size)

    respond_to do |format|
      format.html # index.html.erb
      format.json { render :json => @ground_colors.to_json(GroundColor.list_json_opt) }
    end
  end
end
