class PanelColorsController < ApplicationController
  layout 'test' if Pettanr::TestLayout
  before_filter :authenticate_user!, :only => [:index]

  # GET /ground_pictures
  # GET /ground_pictures.json
  def index
    @page = PanelColor.page params[:page]
    @page_size = PanelColor.page_size params[:page_size]
    @panel_colors = PanelColor.list({}, @page, @page_size)

    respond_to do |format|
      format.html # index.html.erb
      format.json { render :json => @panel_colors.to_json(PanelColor.list_json_opt) }
    end
  end

end
