class OriginalPictureLicenseGroup < ActiveRecord::Base
  belongs_to :original_picture
  belongs_to :license_group
  
  validates :original_picture_id, :presence => true, :numericality => true, :existence => true
  validates :license_group_id, :presence => true, :numericality => true, :existence => true
  
  def supply_default oid
    self.original_picture_id = oid
  end
  
end
